---
- name: Verify
  hosts: all
  tasks:
    - name: Read contents of Docker configuration
      command: "cat /etc/systemd/system/docker.service.d/http-proxy.conf"
      register: docker_proxy_conf

    - name: Test docker proxy configuration
      assert:
        that: "'http://proxy.ethz.ch:3128' in docker_proxy_conf.stdout"
